# Class LookAndFeelCommand

java.lang.Object
org.apache.jmeter.gui.action.LookAndFeelCommand

All Implemented Interfaces:
  `Command`

public class LookAndFeelCommand extends Object implements Command
Implements the Look and Feel menu item.

## Constructor Summary

Constructors
Constructor
Description
`LookAndFeelCommand()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent ev)`
`Set<String>`
`getActionNames()`
`static String`
`getJMeterLaf()`
Get LookAndFeel classname from the following properties: User preferences key: "laf" jmeter.laf.<os.name> - lowercased; spaces replaced by '_' jmeter.laf.<os.family> - lowercased. jmeter.laf UIManager.getCrossPlatformLookAndFeelClassName()

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LookAndFeelCommand

public LookAndFeelCommand()

## Method Details

### getJMeterLaf

public static String getJMeterLaf()
Get LookAndFeel classname from the following properties:

- User preferences key: "laf"
- jmeter.laf.<os.name> - lowercased; spaces replaced by '_'
- jmeter.laf.<os.family> - lowercased.
- jmeter.laf
- UIManager.getCrossPlatformLookAndFeelClassName()

Returns:
  LAF classname

### doAction

public void doAction(ActionEvent ev)

Specified by:
  `doAction` in interface `Command`

### getActionNames

public Set<String> getActionNames()

Specified by:
  `getActionNames` in interface `Command`